IWGETID(8)

NAME
iwgetid - Report ESSID, NWID or AP/Cell Address of wireless network

SYNOPSIS
iwgetid [interface] [--scheme] [--ap] [--freq] [--mode]
[--protocol]

DESCRIPTION
iwgetid is used to find out the NWID, ESSID or AP/Cell Address of the wireless network that is currently used. The information reported is the same as the one shown by iwconfig, but iwgetid is easier to integrate in various scripts.
By default, iwgetid will print the ESSID of the device, and if the device doesn't have any ESSID it will print its NWID.

OPTIONS

--scheme
    This option disables pretty-printing of the information, only the raw ESSID (or NWID, or AP Address) is printed. Also, characters that are not alphanumerics (like space, punctuation and control characters) are skipped.
    The resulting output is a valid Pcmcia scheme identifier (that may be used as an argument of the command cardctl scheme). This format is also ideal when using the result of iwgetid as a variable in Shell or Perl scripts.

--ap
    Display the MAC address of the Wireless Access Point or the Cell.

--freq
    Display the current frequency or channel used by the interface.

--mode
    Display the current mode of the interface.

--protocol
    Display the protocol name of the interface. This allow to identify all the cards that are compatible with each other and accept the same type of configuration.
    This can also be used to check Wireless Extension support on the interface, as this is the only attribute that all drivers supporting Wireless Extension are mandated to support.

SEE ALSO
iwconfig(8), ifconfig(8), iwspy(8), iwpriv(8).